#!/usr/bin/env ruby

require 'cgi'
require 'open-uri'
require 'kconv'
require 'rexml/document'

cgi = CGI.new
pos = cgi.params['pos'][0]

if pos then
	uri = "http://api.alpslab.jp/v1/level"
	uri << "?appid=guest"
	uri << "&p=#{CGI::escape( pos )}"
	doc = open( uri ){|f| REXML::Document.new( f.read ).root}
	if doc && doc.elements['address'] then
		address = doc.elements['address'].text
	end
end

if address then
	address_json = address.toutf16.unpack( "n*" ).map do |n|
		(n < 128 ? '%c' : '\u%04x') % n
	end.join
end

print cgi.header( 'type' => 'text/javascript' )
print %Q[sokodoko_callback("#{address_json}");]

exit
